/*****************************************************************************/
/*                                                                           */
/*   Softing AG           Richard-Reitzner-Allee 6       85540 Haar          */
/*                                                                           */
/*****************************************************************************/
/*                                                                           */
/*      Copyright (C) by Softing AG, 1999-2007   All rights reserved.        */
/*                                                                           */
/*****************************************************************************/
/*                                                                           */
/*                               eeprom.h                                    */
/*                                                                           */
/*****************************************************************************/
/*                                                                           */
/* PROJECT:                  Softing CAN Layer2                              */
/*                                                                           */
/* SWKE:                    <SWKE_identifier>                                */
/*                                                                           */
/* COMPONENT:                CAN-ECOx eeprom access                          */
/*                                                                           */
/* AUTHOR:                     Softing AG                                    */
/*                                                                           */
/* GENERATION_DATE:            21.05.07                                      */
/*                                                                           */
/* FUNCTIONAL_DESCRIPTION:    CAN-ECOx specific part                         */
/*                                                                           */
/*****************************************************************************/
                  
                  
#define _AddrMagic_         0
#define _AddrBaugruppenTyp_ 2
#define _AddrNrWriteCycle_  4
#define _AddrSerialNumber_  8
#define _AddrHWRev_        12
#define _AddrIdentString_  14
#define _AddrFreigabe_     32
#define _AddrSecureStr1_   34
#define _AddrReserved1_    50
#define _AddrSecureStr2_   58
#define _AddrUserLen_      74


#define _LenHWRev_          2
#define _LenIdentString_   18
#define _LenSecureStr1_    16
#define _LenReserved1_      8
#define _LenSecureStr2_    16  

#define ONE_CHANNEL_INTERFACE   0x80


BYTE ee_read_byte(PBYTE pCtrl, USIGN16 address);
USIGN16 ee_read_u16(PBYTE pCtrl, USIGN16 address);
USIGN32 ee_read_u32(PBYTE pCtrl, USIGN16 address);


