/***************************************************************************
 *   Copyright (C) 2007-2015 by Softing Industrial Automation GmbH         *
 *   support.automation@softing.com                                        *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/


#ifndef CREAD_H
#define CREAD_H

#include "ui_read_pdo.h"
#include <qtextedit.h>
#include <qlineedit.h>
#include <qradiobutton.h>

#include "BaseTypes.h"
#include "can_def.h"
#include "canL2.h"
#include "cmadef.h"
#include "cmaret.h"


class cread: public QDialog
{
    Q_OBJECT
    
public slots:
  virtual void OnRead();
  
    
public:
    cread(CAN_HANDLE can=0, QWidget *parent = 0);
    virtual ~cread(void);
    QDialog* m_pw;

  Ui::d_pdo_read m_ui;
  
private:
  CAN_HANDLE m_Can;
};

#endif // CREAD_H
