/***************************************************************************
 *   Copyright (C) 2007-2015 by Softing Automation GmbH                    *
 *   support.automation@softing.com                                        *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/


#include "cremove.h"

cremove::cremove(QWidget *parent)
    :QDialog(parent)
{
    m_pw = new QDialog(this);
    m_ui.setupUi(m_pw);

    m_pw->show();
    
    connect(m_ui.bt_ok, SIGNAL(clicked()), this, SLOT(accept()));  
    connect(m_ui.bt_cancel, SIGNAL(clicked()), this, SLOT(reject()));  


}

cremove::~cremove(void )
{
  delete m_pw;
}
