

#ifndef __CANCARD_H__
#define __CANCARD_H__

#define CAN_DPRAM_SIZE 0x1000   /* DPRAM size */
#define CANATTRIBUTEMEMSIZE  0x1000     // size of attribute memory #

int can_init(void);
void can_cleanup(void);
int can_init(void);
void can_cleanup(void);
/*
   The attach() and detach() entry points are used to create and destroy
   "instances" of the driver, where each instance represents everything
   needed to manage one actual PCMCIA card.
*/
dev_link_t *CANcard_attach(void);
void CANcard_detach(dev_link_t *);

void CancardInterrupt(int irq, void *dev_id, struct pt_regs *regs);


#endif // __CANCARD_H__
