/***************************************************************************
 *   Copyright (C) 2007-2015 by Softing Automation GmbH                    *
 *   support.automation@softing.com                                        *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/


#include "ch_cfg_all.h"

/**
 ******************************************************************
 * @brief  Constructor.
 * @author Werner Knorsch, Softing AG
 * @date   2006-07-25
 *
 * @param  parent: parent Widget
 * @param  name:   name
 * @return -
 *
 ******************************************************************
 */

ch_cfg_all::ch_cfg_all(CHANNEL *pChannel)
    :QObject()
{
 
  
}

ch_cfg_all::~ch_cfg_all()
{
  
}

void ch_cfg_all::deleteAllTabEntries(void)
{

}

int ch_cfg_all::getNumOfCol(void)
{
  return 0;
}


void ch_cfg_all::show_config(void)
{

}

/**
 ******************************************************************
 * @brief  Shows the baudrate table
 * @author Werner Knorsch, Softing AG
 * @date   2006-07-25
 *
 * @param  u32MaxEntry: maximum entries in the table
 * @return -
 *
 ******************************************************************
 */

void ch_cfg_all::PrintTable(USIGN32 u32MaxEntry)
{


}

/**
 ******************************************************************
 * @brief  calculates all possible CAN controller settings for a given sum of tseg1 and tseg2
 * @author Werner Knorsch, Softing AG
 * @date   2006-07-25
 *
 * @param  Tseg1AndTseg2Int: tseg1+tseg2
 * @return -
 *
 ******************************************************************
 */

void ch_cfg_all::ShowAll(USIGN32 Tseg1AndTseg2Int)
{
  


}


/**
 ******************************************************************
 * @brief  reads all text boxes into member variables
 * @author Werner Knorsch, Softing AG
 * @date   2006-07-25
 *
 * @return -
 *
 ******************************************************************
 */

bool ch_cfg_all::read_all()
{
  return true;
}

/**
 ******************************************************************
 * @brief  writes the member variables into the textboxes
 * @author Werner Knorsch, Softing AG
 * @date   2006-07-25
 *
 * @return -
 *
 ******************************************************************
 */

void ch_cfg_all::update_all()
{
 
   
}

/**
 ******************************************************************
 * @brief  called, when the user has changed the baudrate; updates the controller settings.
 * @author Werner Knorsch, Softing AG
 * @date   2006-07-25
 *
 * @return -
 *
 ******************************************************************
 */

void ch_cfg_all::on_baudrate()
{
 
 

}

/**
 ******************************************************************
 * @brief  on change of tseg1; calculate new baudrate;
 * @author Werner Knorsch, Softing AG
 * @date   2006-07-25
 *
 * @return -
 *
 ******************************************************************
 */

void ch_cfg_all::on_tseg1()
{
  

  
}

/**
 ******************************************************************
 * @brief  on change of tseg2; calculate new baudrate;
 * @author Werner Knorsch, Softing AG
 * @date   2006-07-25
 *
 * @return -
 *
 ******************************************************************
 */

void ch_cfg_all::on_tseg2()
{

}

/**
 ******************************************************************
 * @brief  on change of prescaler; calculate new baudrate;
 * @author Werner Knorsch, Softing AG
 * @date   2006-07-25
 *
 * @return -
 *
 ******************************************************************
 */

void ch_cfg_all::on_presc()
{



}

/**
 ******************************************************************
 * @brief  on change of sjw; calculate new baudrate;
 * @author Werner Knorsch, Softing AG
 * @date   2006-07-25
 *
 * @return -
 *
 ******************************************************************
 */

void ch_cfg_all::on_sjw()
{
    

}

/**
 ******************************************************************
 * @brief  on change of samples; calculate new baudrate;
 * @author Werner Knorsch, Softing AG
 * @date   2006-07-25
 *
 * @return -
 *
 ******************************************************************
 */

void ch_cfg_all::on_sam()
{
 
}

/**
 ******************************************************************
 * @brief  on change of acceptance mask; check, get and show the new value
 * @author Werner Knorsch, Softing AG
 * @date   2006-07-25
 *
 * @return -
 *
 ******************************************************************
 */

void ch_cfg_all::on_acc_mask()
{

}

/**
 ******************************************************************
 * @brief  on change of acceptance code; check, get and show the new value
 * @author Werner Knorsch, Softing AG
 * @date   2006-07-25
 *
 * @return -
 *
 ******************************************************************
 */

void ch_cfg_all::on_acc_code()
{

}

/**
 ******************************************************************
 * @brief  on change of extended acceptance mask; check, get and show the new value
 * @author Werner Knorsch, Softing AG
 * @date   2006-07-25
 *
 * @return -
 *
 ******************************************************************
 */

void ch_cfg_all::on_acc_xtd_mask()
{


}

/**
 ******************************************************************
 * @brief  on change of extended acceptance code; check, get and show the new value
 * @author Werner Knorsch, Softing AG
 * @date   2006-07-25
 *
 * @return -
 *
 ******************************************************************
 */

void ch_cfg_all::on_acc_xtd_code()
{
 

}

/**
 ******************************************************************
 * @brief  on change of output control register; check, get and show the new value
 * @author Werner Knorsch, Softing AG
 * @date   2006-07-25
 *
 * @return -
 *
 ******************************************************************
 */

void ch_cfg_all::on_output_ctrl()
{
 
}


/**
 ******************************************************************
 * @brief  called, when the user selects a row in the baudrate table; use the new controller settings
 * @author Werner Knorsch, Softing AG
 * @date   2006-07-25
 *
 * @return -
 *
 ******************************************************************
 */

void ch_cfg_all::on_cellClicked(int row, int col)
{ 

 
  
}

/**
 ******************************************************************
 * @brief  on cancel; signal this to the calling class in the public member variable m_ok
 * @author Werner Knorsch, Softing AG
 * @date   2006-07-25
 *
 * @return -
 *
 ******************************************************************
 */

void ch_cfg_all::on_cancel()
{
 
}


/**
 ******************************************************************
 * @brief  on ok; signal this to the calling class in the public member variable m_ok
 * @author Werner Knorsch, Softing AG
 * @date   2006-07-25
 *
 * @return -
 *
 ******************************************************************
 */

void ch_cfg_all::on_ok()
{
  
}

void ch_cfg_all::on_channel_name()
{
  
}

bool ch_cfg_all::is_ack_enabled(void)
{
  return true;
}

void ch_cfg_all::set_ack_enabled(bool yesno)
{
 
}

bool ch_cfg_all::is_errorframe_detection_enabled(void)
{
  return true;
}

void ch_cfg_all::set_error_frame_detection_enabled(bool yesno)
{
  
}


